fai-make-nfsroot(8)

NAME
fai-make-nfsroot - create the FAI nfsroot directory

SYNOPSIS
fai-make-nfsroot [options]

DESCRIPTION
Create the FAI nfsroot directory as pointed by $NFSROOT in the config_file. This directory is necessary for the installation of Debian on remote clients using the FAI package. The config_file location is discussed in the OPTIONS below. The exit code returned is 0 if all commands to build the root directory exited successfully and >0 if an error occurs.

OPTIONS

-a  Adjust a generic nfsroot. Add resolv.conf, add host entries, set the root password.

-B BASETGZ
    Use specified BASETGZ file as base.tgz (or base.tar.gz, base.tar.xz, base.txz) for the nfsroot. This avoids calling debootstrap and therefore reduces the buildtime for the nfsroot.

-C CFDIR
    Use CFDIR as configuration directory. Default is /etc/fai. You can also set the environment variable FAI_ETC_DIR.

-f  Force overwriting an existing nfsroot. By default fai-make-nfsroot aborts if the configuration variable NFSROOT points to a directory which already exists. To force overwriting (and therefore rebuilding) the existing nfsroot use this option. This option is supported starting with FAI 4.0. Note: To update and therefore preserve an existing nfsroot see option -k.

-g  Create a generic nfsroot. Remove most install server specific data from nfsroot. See also -a.

-K  Remove all kernels from NFSROOT.

-k  Install additional packages defined in /etc/fai/NFSROOT into the nfsroot. Also copies all kernels from the nfsroot to the directory $TFTPROOT. You can use this option, to upgrade all packages inside the nfsroot.

-N  Additionally install non-free packages defined in the NONFREE section of /etc/fai/NFSROOT.

-P  Preserve ssh configs including the keys of the root account and also the ssh host keys from inside the nfsroot.

-p  Preserve ssh configs including the keys of the root account. This will not preserve the ssh host keys inside the nfsroot.

-s  Create a smaller nfsroot. Do not install packages defined in /etc/fai/NFSROOT in the FULL section.

-v  Create verbose output on stdout.

-h  Show simple help.

-z  Use gzip for compressing the base.tar file. Default is to use xz.

NOTES
If you do not use NFS, you may still use the NFSROOT directory as a staging point for building the base installation tarball.

SEE ALSO
exports(5), nfsd(8), fai-setup(8) This program is part of FAI (Fully Automatic Installation). See the FAI manual for more information on how to use fai-make-nfsroot. The FAI homepage is https://fai-project.org.

FILES
The FAI configuration file.
The configuration file for fai-make-nfsroot.
Directory containing shell scripts to be sourced at the end of fai-make-nfsroot for additional configuration of the nfsroot. Can be changed with NFSROOT_HOOKS.
Copy this file to the NFSROOT.
Repository keys in .asc format found here will be installed into the NFSROOT.
The script will write the values of FAI_VERSION and NFSROOT to this file.

AUTHOR
Thomas Lange <lange@informatik.uni-koeln.de>